List diagrams in a file
GET
https://app.eraser.io/api/files/{fileId}/diagrams Example request
curl --location 'https://app.eraser.io/api/files/abc123/diagrams' \
--header 'Authorization: Bearer $YOUR-TOKEN-HERE' Example response
[
{
"id": "diag1",
"diagramUrl": "https://app.eraser.io/workspace/abc123?diagram=diag1&layout=canvas",
"diagramType": "sequence-diagram",
"code": "A > B: Hello",
"updatedAt": "2025-07-15T09:30:00.000Z"
}
] Path parameters
fileId string requiredpathID of the file containing the diagrams
Responses
200 – Array of diagrams in the file
id string requiredUnique identifier for the diagram
diagramUrl string requiredURL to view the diagram in the Eraser canvas
diagramType string requiredType of the diagram
sequence-diagramentity-relationship-diagramcloud-architecture-diagramflowchart-diagrambpmn-diagram
code string requiredEraser DSL code for the diagram
updatedAt string requiredISO 8601 timestamp of when the diagram was last updated
[
{
"id": "string",
"diagramUrl": "https://app.eraser.io/workspace/abc123?diagram=def456&layout=canvas",
"diagramType": "sequence-diagram",
"code": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]